Subject: [alpine-devel] [PATCH] testing/mate-session-manager: new aport

From: Alan Lacerda <[email-masked]>
Date: Mon, 15 Dec 2014 14:49:59 +0000

---
 testing/mate-session-manager/APKBUILD | 42 +++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/mate-session-manager/APKBUILD

diff --git a/testing/mate-session-manager/APKBUILD b/testing/mate-session-manager/APKBUILD
new file mode 100644
index 0000000..cdb4bd7
--- /dev/null
+++ b/testing/mate-session-manager/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Alan Lacerda <[email-masked]>
+# Maintainer:
+pkgname=mate-session-manager
+pkgver=1.9.3
+pkgrel=0
+pkgdesc="The MATE session manager"
+url="https://github.com/mate-desktop/mate-session-manager"
+arch="all"
+license="GPL2"
+depends="mate-common mate-desktop"
+depends_dev=""
+makedepends="$depends_dev autoconf automake intltool glib-dev gettext-dev
+	libtool dbus-glib-dev gtk+-dev dconf-dev libsm-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="8fc2f4cebb39ca12ca5452e9efe305c4  mate-session-manager-1.9.3.tar.xz"
+sha256sums="4c4a9e5813f335557af72c4c829c9f7424f7270d6f7a0abcab3afc8ec09cbbde  mate-session-manager-1.9.3.tar.xz"
+sha512sums="8f19f3cd5a2b42915f1cbecff6cba0bfa65fc335d3b36b47b9719be2622c8a37eff9319215f648bff4007f91fbf9a6454596c1a4bd2f2f59a36dd0282a46a8de  mate-session-manager-1.9.3.tar.xz"
-- 
2.1.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---